Package: microcode.ctl
Version: 1.17-13
Severity: wishlist
Tags: patch
Please consider applying the attached patch to this package. It changes
the init script to use the logging functions in lsb-base, which allows
for easier customisation of system boot message format. I've also
corrected a couple of spelling mistakes in the init script at the same
time.
Thanks,
J.
-- System Information:
Debian Release: squeeze/sid
APT prefers testing
APT policy: (750, 'testing'), (500, 'testing-proposed-updates')
Architecture: i386 (i686)
Kernel: Linux 2.6.32.2 (PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Versions of packages microcode.ctl depends on:
ii debconf [debconf-2.0] 1.5.28 Debian configuration management sy
ii libc6 2.10.2-2 GNU C Library: Shared libraries
ii makedev 2.3.1-89 creates device files in /dev
ii module-init-tools 3.11-1 tools for managing Linux kernel mo
ii udev 149-2 /dev/ and hotplug management daemo
Versions of packages microcode.ctl recommends:
ii intel-microcode 0.20090330-1 Processor microcode data file for
ii wget 1.12-1.1 retrieves files from the web
microcode.ctl suggests no packages.
-- debconf information:
* microcode.ctl/check-new: true
diff -ru microcode.ctl-1.17.orig/debian/microcode.ctl.init microcode.ctl-1.17/debian/microcode.ctl.init
--- microcode.ctl-1.17.orig/debian/microcode.ctl.init 2010-01-06 17:17:55.000000000 +0800
+++ microcode.ctl-1.17/debian/microcode.ctl.init 2010-01-06 17:28:00.000000000 +0800
@@ -12,13 +12,13 @@
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Load Intel microcode on CPU
-# Description: Load Intel microcode on CPU, which corrige
+# Description: Load Intel microcode on CPU, which corrects
# some CPU errata.
### END INIT INFO
+. /lib/lsb/init-functions
-
-# Package in removed but not yet purget status.
+# Package in removed but not yet purged status.
[ ! -x /usr/sbin/microcode_ctl ] && exit 0
# aborting on non-Intel processor
@@ -30,16 +30,17 @@
doit ()
{
+log_action_begin_msg "Applying Intel IA32 Microcode update"
+
# microcode location
MICROCODE=/usr/share/misc/intel-microcode.dat
if [ ! -e "$MICROCODE" ] ; then
- echo "$0: microcode not found in $MICROCODE"
-
+ log_action_end_msg 1 "microcode not found in $MICROCODE"
+ exit 0
fi
-
# device name in LANANA
DEVICE=/dev/cpu/microcode
# device name in devfsd
@@ -67,25 +68,17 @@
DEV="$DEVICE"
break
fi
- echo -n "."
sleep 0.1
done
if [ "$DEV" = "xxx" ]; then
- echo "$0: microcode device $DEVICE doesn't exist!"
+ log_action_end_msg 1 "microcode device $DEVICE doesn't exist!"
exit 0
fi
fi
-
-echo -n "Applying Intel IA32 Microcode update... "
-
/usr/sbin/microcode_ctl -Q -d "$DEV" -f "$MICROCODE"
-if [ $? -eq 0 ] ; then
- echo "done."
-else
- echo "fail."
-fi
+log_action_end_msg $?
# *try* to unload the microcode module
#[ -x /sbin/modprobe ] && /sbin/modprobe -r microcode > /dev/null 2> /dev/null
@@ -101,7 +94,7 @@
stop)
;;
*)
- echo "$0 usage: microcode {start|restart|reload}"
+ echo "Usage: $0 {start|restart|reload}"
exit 2
esac